using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class HeadFoot : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
            return;


        #region 网站设置--标题、关键字等
        DataTable dt_Siteconfig = FrontFunc.GetSiteconfig();
        foreach (DataRow dr in dt_Siteconfig.Rows)
        {
            if (dr["Type"].ToString() == "标题")
            {
                this.lit_WebTitle.Text += "<title>" + dr["Content"] + "</title>";
            }
            if (dr["Type"].ToString() == "关键字")
            {
                this.lit_WebKeyWords.Text += "<meta name=\"KeyWords\" content=\"" + dr["Content"] + "\">";
            }
            if (dr["Type"].ToString() == "描述")
            {
                this.lit_WebDescription.Text += "<meta name=\"Description\" content=\"" + dr["Content"] + "\">";
            }
        }
        #endregion

        #region 日期
        lit_date.Text = DateTimeFunc.DateNow() + " " + DateTimeFunc.WeekDay();
        #endregion

    }

    
}
